const state = {
  infoError: {
    show: false,
    text: null
  }
}

const mutations = {
  SET_INFO_ERROR (state, payload) {
    state.infoError = payload
    console.log(state.infoError)
  }
}

const actions = {
  throwError ({commit}, payload) {
    commit('SET_INFO_ERROR', {show: true, text: payload})
    setTimeout(function () {
      commit('SET_INFO_ERROR', {show: false, text: ''})
    }, 3000)
  },
  showSuccess ({commit}, payload) {
    commit('SET_INFO_ERROR', {show: true, text: payload})
    setTimeout(function () {
      commit('SET_INFO_ERROR', {show: false, text: ''})
    }, 3000)
  }
}

const getters = {
  infoError: (state) => state.infoError
}

export default {
  state,
  actions,
  mutations,
  getters,
  namespaced: true
}
